Bug 679732 (CVE-2011-0433) - CVE-2011-0433 t1lib: Heap-based buffer overflow DVI file AFM font parser
Summary: CVE-2011-0433 t1lib: Heap-based buffer overflow DVI file AFM font parser
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-0433
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 679734 679735 772899 772900 772901 773177 773178 773180 773183 773184 845624 984476
Blocks: 734178
TreeView+ depends on / blocked
 
Reported: 2011-02-23 11:18 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-05 15:39:25 UTC


Attachments (Terms of Use)
t1lib fix (937 bytes, patch)
2012-01-10 11:27 UTC, Jaroslav Škarvada
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0062 normal SHIPPED_LIVE Moderate: t1lib security update 2012-01-25 02:14:35 UTC
Red Hat Product Errata RHSA-2012:0137 normal SHIPPED_LIVE Moderate: texlive security update 2012-02-15 21:19:33 UTC
GNOME Bugzilla 640923 None None None Never
GNOME Bugzilla 643882 None None None Never
Red Hat Product Errata RHSA-2012:1201 normal SHIPPED_LIVE Moderate: tetex security update 2012-08-23 18:55:35 UTC

Description Jan Lieskovsky 2011-02-23 11:18:47 UTC
A heap-based buffer overflow flaw was found in the way AFM font file
parser, used for rendering of DVI files, in GNOME evince document viewer
and other products, processed line tokens from the given input stream. 
A remote attacker could provide a DVI file, with embedded specially-crafted 
font file, and trick the local user to open it with an application using
the AFM font parser, leading to that particular application crash or,
potentially, arbitrary code execution with the privileges of the user
running the application. Different vulnerability than CVE-2010-2642.

Upstream bug report:
[1] https://bugzilla.gnome.org/show_bug.cgi?id=640923

Upstream patch:
[2] https://bugzilla.gnome.org/show_bug.cgi?id=640923#c1

Comment 1 Jan Lieskovsky 2011-02-23 11:21:01 UTC
This issue does not affect the versions of the evince package, as shipped
with Red Hat Enterprise Linux 5 and 6.

--

This issue does not affect the versions of the evince package, as shipped
with Fedora release of 13 and 14.

Comment 2 Jan Lieskovsky 2011-02-23 11:22:05 UTC
This issue affects the version of the t1lib package, as shipped
with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the t1lib package, as shipped
with Fedora release of 13 and 14.

This issue affects the version of the t1lib package, as present
within EPEL-5 repository.

Comment 3 Jan Lieskovsky 2011-02-23 11:23:16 UTC
Created evince tracking bugs for this issue

Affects: fedora-all [bug 679733]

Comment 4 Jan Lieskovsky 2011-02-23 11:23:20 UTC
Created t1lib tracking bugs for this issue

Affects: epel-5 [bug 679734]
Affects: fedora-all [bug 679735]

Comment 10 Huzaifa S. Sidhpurwala 2011-02-25 09:00:00 UTC
evince in rhel-6 is not build with afmparse.c, due to the following code segment in tfmfile.c

#ifdef WITH_AFM_FILES
#undef TRUE
#undef FALSE
#include "afmparse.h"
#endif

Statement:

Not vulnerable. This issue did not affect the versions of evince as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 11 Tomas Hoger 2011-03-04 16:09:10 UTC
A gnome BZ bug for the off-by-one issue in the original patch:
  https://bugzilla.gnome.org/show_bug.cgi?id=643882

Comment 13 Huzaifa S. Sidhpurwala 2012-01-10 09:40:53 UTC
Created t1lib tracking bugs for this issue

Affects: fedora-all [bug 772899]

Comment 14 Jaroslav Škarvada 2012-01-10 11:27:11 UTC
Created attachment 551814 [details]
t1lib fix

Comment 17 errata-xmlrpc 2012-01-24 21:17:27 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0062 https://rhn.redhat.com/errata/RHSA-2012-0062.html

Comment 18 Fedora Update System 2012-01-27 19:19:21 UTC
t1lib-5.0.2-2 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2012-01-27 19:21:07 UTC
t1lib-5.1.1-9.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2012-01-28 03:23:05 UTC
t1lib-5.1.2-9.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2012-01-28 03:28:10 UTC
t1lib-5.1.2-9.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 errata-xmlrpc 2012-02-15 16:20:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0137 https://rhn.redhat.com/errata/RHSA-2012-0137.html

Comment 23 errata-xmlrpc 2012-08-23 14:58:16 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1201 https://rhn.redhat.com/errata/RHSA-2012-1201.html

Comment 24 Tomas Hoger 2012-11-23 12:49:04 UTC
(In reply to comment #0)
> Different vulnerability than CVE-2010-2642.

CVE-2010-2642 (bug 666318) was assigned to the overflow in the token() function.

CVE-2011-0433 was assigned to the similar issue in the linetoken() function.  Upstream commit is:

http://git.gnome.org/browse/evince/commit/?id=439c5070022e

Off-by-one issue mentioned in comment 11 was fixed in both functions via:

http://git.gnome.org/browse/evince/commit/?id=efadec4ffcdd

This problem later got CVE-2011-5244 assigned (bug 878483).

Comment 25 Tomas Hoger 2012-11-23 13:32:58 UTC
This was previously fixed in OpenOffice.org, see bug 666318, comment 30.


Note You need to log in before you can comment on or make changes to this bug.